unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  DBGrids, DbCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
    procedure SetButtonEnabledState();
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  Unit2, Unit3;
{$R *.lfm}

{ TForm1 }

procedure TForm1.FormShow(Sender: TObject);
begin
  SetButtonEnabledState();
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Form1.Hide;
  Form2.Show;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  DataModule1.Dbf1.Edit;
  Form1.Hide;
  Form2.Show;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  DataModule1.Dbf1.Append;
  Form1.Hide;
  Form2.Show;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  DataModule1.Dbf1.Delete;
  SetButtonEnabledState();
end;

procedure TForm1.SetButtonEnabledState();
begin
  Button1.Enabled := (DataModule1.Dbf1.ExactRecordCount > 0);
  Button2.Enabled := (DataModule1.Dbf1.ExactRecordCount > 0);
  Button4.Enabled := (DataModule1.Dbf1.ExactRecordCount > 0);
end;

end.

