unit Unit3;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, DBDateTimePicker, Forms, Controls, Graphics,
  Dialogs, DbCtrls, StdCtrls;

type

  { TForm2 }

  TForm2 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    DBDateTimePicker1: TDBDateTimePicker;
    DBEdit1: TDBEdit;
    DBMemo1: TDBMemo;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
    procedure SetButtonEnabledState();
  public
    { public declarations }
  end;

var
  Form2: TForm2;

implementation

uses
  Unit1, Unit2, Db;

{$R *.lfm}

{ TForm2 }

procedure TForm2.FormShow(Sender: TObject);
begin
  SetButtonEnabledState();
end;

procedure TForm2.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  if (DataModule1.Dbf1.State in [dsEdit,dsInsert]) then
   begin
    DataModule1.Dbf1.Cancel;
   end;
  Form1.Show;
end;

procedure TForm2.Button1Click(Sender: TObject);
begin
  DataModule1.Dbf1.Post;
  SetButtonEnabledState();
end;

procedure TForm2.Button2Click(Sender: TObject);
begin
  Form2.Close;
end;

procedure TForm2.SetButtonEnabledState();
begin
  Button1.Enabled := (DataModule1.Dbf1.State in [dsEdit,dsInsert]);
end;

end.

